Subject: HPR on slower speed line

From: Choon Lee <[email-masked]>
Date: Fri, 8 Mar 1996 16:40:17 -0800

Although HPR is designed primarily for high speed network, it should
also work well for slower speed links (e.g. SDLC, PPP).
I came into some interesting situation when I used a 64kbps PPP link.
I have two RTP endpoints linked together by the PPP link, and I was
not able to get the link fully utilized (or close to it). I only get
about 50% utilization. What I observed is this:

The RTP node starts off with a send rate of 6 kbps (1/10 of the effective
capacity). It would slowly ramp up the send rate. However, as it gets to
the rate of 30 - 40 kbps range, occassionally its short request timer
would pop, dropping its send rate by half, and it would have to repeat
its arduous climb again.

Since the short request timer duration is set at 2x smoothed round trip,
it is somewhat easy to have the timer pop occasionally, e.g. when the 
status (req or reply) gets behind a large packet (more so on a slow
speed line), and the line is not at all congested.

The HPR specs does call out the possible need of increasing the short
request timer duration (sec 7.2.5.4.2). It also warns about the effect
it would have on the path switch time. 

An alternate (or additional) solution to the above problem would be to reduce 
the send rate by a smaller amount when the short request timer pops (instead 
of halving it). This would have the effect of the send rate not having to 
"climb" too much to reach the "top". Is there any side effect that this may
cause?

Are there other solutions that may help this problem?